## org.eclipse.emf.edit.ui.celleditor
Class AdapterFactoryTreeEditor

    java.lang.Object
      org.eclipse.swt.custom.ControlEditor
          org.eclipse.swt.custom.TreeEditor
              org.eclipse.emf.common.ui.celleditor.ExtendedTreeEditor
                  org.eclipse.emf.edit.ui.celleditor.AdapterFactoryTreeEditor

All Implemented Interfaces:
  java.util.EventListener, KeyListener, MouseListener, SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public class AdapterFactoryTreeEditor

extends ExtendedTreeEditor

This base class for implementing `TreeEditor`s that delegate to adapters produced by an `AdapterFactory`.

Field Summary
`protected AdapterFactory` `adapterFactory`
`protected TreeItem` `currentTreeItem`

Fields inherited from class org.eclipse.emf.common.ui.celleditor.ExtendedTreeEditor
`editTreeItem, selectedTreeItem, tree`

Fields inherited from class org.eclipse.swt.custom.ControlEditor
`grabHorizontal, grabVertical, horizontalAlignment, minimumHeight, minimumWidth, verticalAlignment`

Constructor Summary
`AdapterFactoryTreeEditor(Tree tree, AdapterFactory adapterFactory)`

Method Summary
`protected void` `editItem(TreeItem treeItem)`
`AdapterFactory` `getAdapterFactory()`
`void` `setAdapterFactory(AdapterFactory adapterFactory)`

Methods inherited from class org.eclipse.emf.common.ui.celleditor.ExtendedTreeEditor
`keyPressed, keyReleased, mouseDoubleClick, mouseDown, mouseUp, widgetDefaultSelected, widgetSelected`

Methods inherited from class org.eclipse.swt.custom.TreeEditor
`dispose, getColumn, getItem, layout, setColumn, setEditor, setEditor, setEditor, setItem`

Methods inherited from class org.eclipse.swt.custom.ControlEditor
`getEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapterFactory

    protected AdapterFactory adapterFactory

### currentTreeItem

    protected TreeItem currentTreeItem

Constructor Detail

### AdapterFactoryTreeEditor

    public AdapterFactoryTreeEditor(Tree tree,
                                    AdapterFactory adapterFactory)

Method Detail

### getAdapterFactory

    public AdapterFactory getAdapterFactory()

### setAdapterFactory

    public void setAdapterFactory(AdapterFactory adapterFactory)

### editItem

    protected void editItem(TreeItem treeItem)

  Specified by:
    `editItem` in class `ExtendedTreeEditor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.